/**
 * ------------------------------------------------------
 * BASE CSS
 * ------------------------------------------------------
 */
html,
body {
    background-color: #323232;
    padding-bottom: 50px;
}

* {
    font-family: 'Montserrat', sans-serif;
}

body h1, body h2, body h3, body h4, body h5 {
    font-family: 'Fjalla One', sans-serif;
}

.center {
    text-align: center;
}

@media (max-width: 767px) {
    .show-when-desktop {
        display: none;
    }
}

@media (min-width: 768px) {
    .show-when-desktop {
        display: none;
    }
}

@media (min-width: 992px) {
    .show-when-desktop {
        display: block;
    }

}

@media (min-width: 1200px) {
    .show-when-desktop {
        display: block;
    }
}

/**
 * ------------------------------------------------------
 * MAIN MENU
 * ------------------------------------------------------
 */

#menu {
    margin-bottom: 0px;
}

#menu .main-menu {
    background-color: #e3cb5b;
    height: 68px;
    border-bottom: 1px solid #0e1018;
    position: relative;
}

#menu .main-menu a {
    color: #000000;
    display: block;
    height: 67px;
    width: 68px;
    font-size: 25px;
    text-align: center;
    vertical-align: middle;
    padding-top: 20px;
    text-decoration: none;
}

#menu .main-menu .logo {
    display: block;
    margin: 0 auto;
    background-image: url('../images/menu/logo.png');
    background-size: 57px 68px;
    background-repeat: no-repeat;
    background-position: center center;
    border: none;
}

#menu .main-menu .menu-button {
    display: block;
    background-size: auto 68px;
    background-repeat: no-repeat;
    background-position: center center;
    border: none;
    position: absolute;
}

#menu .main-menu .menu-button.profile {
    background-image: url('../images/menu/profile-button.png');
    left: 50px;
}

#menu .main-menu .menu-button.referral {
    background-image: url('../images/menu/referral-button.png');
    right: 50px;
}

#menu .main-menu .menu-button.contact {
    background-image: url('../images/menu/contact-button.png');
    right: 0px;
}

#menu .main-menu-items {
    display: none;
    position: absolute;
    width: 100%;
    z-index: 10000;
}

#menu .main-menu-items ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

#menu .main-menu-items li {
    padding: 0;
    width: 100%;
    background-color: #2D323D;
}

#menu .main-menu-items li:nth-child(even) {
    background-color: #222222;
}

#menu .main-menu-items .main {
    border-bottom: 4px solid #e3cb5b;
    -webkit-box-shadow: 0px 6px 5px 0px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 0px 6px 5px 0px rgba(0, 0, 0, 0.75);
    box-shadow: 0px 6px 5px 0px rgba(0, 0, 0, 0.75);
    margin-bottom: 100px;
}

#menu .main-menu-items a {
    text-align: left;
    display: block;
    width: 100%;
    color: #ffffff;
    font-size: 14px;
    text-transform: uppercase;
    padding: 5px 10px;
    margin: 0;
    height: auto;
}

#menu .main-menu-items a.close-menu {
    text-align: center;
    font-size: 20px;
}

#menu .main-menu-items .add-video-items {
    color: #ffffff;
    display: none;
}

#menu .main-menu-items .add-video .glyphicon {
    font-size: 18px;
    font-weight: normal;
}

#menu .main-menu-items .add-video-items .category {
    font-style: italic;
    padding-left: 20px;
}

#menu .main-menu-items .add-video-items .skill {
    padding-left: 40px;
}

/*
 * DIALOGS
 */

.dialog-host {
    position: relative;
}

.dialog-fixed {
    width: 400px;
    position: fixed;
    top: 100px;
    z-index: 2000;
}

.dialog-fixed .dialog {
    background-color: #323232;
}

.dialog {
    color: #FFFFFF;
    border: 2px solid;
    padding: 10px 10px 10px 50px;
    margin: 0px 20px 20px 20px;
    border-radius: 25px 25px 25px 25px;
    -moz-border-radius: 25px 25px 25px 25px;
    -webkit-border-radius: 25px 25px 25px 25px;
    position: relative;
}

.dialog .shape {
    position: absolute;
    top: 0;
    left: -3px;
    width: 40px;
    height: 100%;
    border-radius: 25px 0 0 25px;
    -moz-border-radius: 25px 0 0 25px;
    -webkit-border-radius: 25px 0 0 25px;
    text-align: center;
    vertical-align: middle;
    padding: 4px 0 0 4px;
}

.dialog .shape .glyphicon {
    font-size: 30px;
}

.dialog.error {
    border-color: #e10404;
}

.dialog.error .shape {
    background-color: #e10404;
}

.dialog.success {
    border-color: #22dd45;
}

.dialog.success .shape {
    background-color: #22dd45;
}

.dialog.warning {
    border-color: #ffa500 ;
}

.dialog.warning .shape {
    background-color: #ffa500 ;
}

/**
 * ------------------------------------------------------
 * Buttons
 * ------------------------------------------------------
 */

.button {
    display: block;
    width: 70%;
    padding: 10px;
    text-align: center;
    border: 4px solid white;
    border-radius: 25px 25px 25px 25px;
    -moz-border-radius: 25px 25px 25px 25px;
    -webkit-border-radius: 25px 25px 25px 25px;
    color: white;
    font-size: 20px;
    margin: 20px auto;
    font-family: 'Montserrat', sans-serif;
    background: transparent;
    outline: none;
}

/**
 * ------------------------------------------------------
 * TBT score widget
 * ------------------------------------------------------
 */

#tbt-score-widget {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    width: 100%;
}

#tbt-score-widget .content {
    position: relative;
    margin: 0 auto;
    height: 50px;
    width: 355px;
    background-color: #222222;
    -webkit-box-shadow: 0px -5px 19px 1px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 0px -5px 19px 1px rgba(0, 0, 0, 0.75);
    box-shadow: 0px -5px 19px 1px rgba(0, 0, 0, 0.75);
    border-radius: 10px 10px 0px 0px;
    -moz-border-radius: 10px 10px 0px 0px;
    -webkit-border-radius: 10px 10px 0px 0px;
    border: 0 solid #000000;
}

#tbt-score-widget .content.loader {
    background-image: url('../images/loader.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 70px;
}

#tbt-score-widget .content .container {
    display: none;
}

#tbt-score-widget .content .progress {
    position: absolute;
    top: 15px;
    left: 10px;
    border-radius: 5px 5px 5px 5px;
    -moz-border-radius: 5px 5px 5px 5px;
    -webkit-border-radius: 5px 5px 5px 5px;
    width: 270px;
    height: 20px;
    background-color: #2e2e2e;
    text-align: right;
}

#tbt-score-widget .content .progress .wrapper {
    position: relative;
    width: 100%;
}

#tbt-score-widget .content .progress .bar {
    height: 100%;
    background: rgba(241, 231, 103, 1);
    background: -moz-linear-gradient(left, rgba(241, 231, 103, 1) 0%, rgba(254, 183, 70, 1) 66%, rgba(254, 182, 69, 1) 68%, rgba(254, 182, 69, 1) 88%);
    background: -webkit-gradient(left top, right top, color-stop(0%, rgba(241, 231, 103, 1)), color-stop(66%, rgba(254, 183, 70, 1)), color-stop(68%, rgba(254, 182, 69, 1)), color-stop(88%, rgba(254, 182, 69, 1)));
    background: -webkit-linear-gradient(left, rgba(241, 231, 103, 1) 0%, rgba(254, 183, 70, 1) 66%, rgba(254, 182, 69, 1) 68%, rgba(254, 182, 69, 1) 88%);
    background: -o-linear-gradient(left, rgba(241, 231, 103, 1) 0%, rgba(254, 183, 70, 1) 66%, rgba(254, 182, 69, 1) 68%, rgba(254, 182, 69, 1) 88%);
    background: -ms-linear-gradient(left, rgba(241, 231, 103, 1) 0%, rgba(254, 183, 70, 1) 66%, rgba(254, 182, 69, 1) 68%, rgba(254, 182, 69, 1) 88%);
    background: linear-gradient(to right, rgba(241, 231, 103, 1) 0%, rgba(254, 183, 70, 1) 66%, rgba(254, 182, 69, 1) 68%, rgba(254, 182, 69, 1) 88%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f1e767', endColorstr='#feb645', GradientType=1);
}

#tbt-score-widget .content.loader {
    background-image: url("/images/loader.svg");
}

#tbt-score-widget .content.loader .star,
#tbt-score-widget .content.loader .progress {
    display: none;
}

#tbt-score-widget .content .current {
    color: white;
    padding-right: 3px;
    text-shadow: 1px 1px #000000;
}

#tbt-score-widget .content .total {
    position: absolute;
    top: 0;
    right: 3px;
    color: white;
    text-shadow: 1px 1px #000000;
}

#tbt-score-widget .content .star {
    position: absolute;
    right: 15px;
    top: 2px;
}

#tbt-score-widget .content .starBox {
    height: 40px;
}

.starBox a {
    border: none;
    outline: none;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#tbt-score-widget .content .starBox span {
    font-size: 50px;
    line-height: 38px;
}

#overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: #222222;
    z-index: 3000;
    color: white;
    background-image: url("/images/backgrounds/bluerd-2.png");
    background-repeat: no-repeat;
    background-position: center center;
    display: none;
}
